Name:		ltl2ba
Version:	1.1
Release:	2%{?dist}
Summary:	Fast translation from LTL formulas to Buchi automata

Group:		Applications/Engineering
License:	GPLv2+
URL:		http://www.lsv.ens-cachan.fr/~gastin/ltl2ba/
Source0:	http://www.lsv.ens-cachan.fr/~gastin/ltl2ba/ltl2ba-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# BuildRequires:	
# Requires:	

%description
Translate from Linear temporal logic (LTL) formulas to Buchi automata.
LTL is a type of formal logic that extends formal logic with
qualifiers involving time.
A Buchi automaton is the extension of a finite state automaton
to infinite inputs, and are useful for specifying behavior
of non-terminating systems (such as hardware or operating systems).
A Buchi automaton accepts an infinite input sequence if and only if
there exists a run of the automaton which visits at least one of the
final states infinitely often.

The implementation is based on the translation algorithm by Gastin and Oddoux,
presented at the CAV Conference, held in 2001, Paris, France 2001.


%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -ansi -DNXT"
iconv -f latin1 -t utf8 README > README.utf8
mv README.utf8 README

%check
# Trivial test, primarily to make sure it compiled into something executable:
./ltl2ba -f "true"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp -p ltl2ba $RPM_BUILD_ROOT/usr/bin


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/usr/bin/ltl2ba
%doc README LICENSE


%changelog
* Thu Aug   5 2010 David A. Wheeler <dwheeler@dwheeler.com> 1.1-2
- Changed spelling of "Buchi" to use only ASCII characters (per Mark Rader)
- Added simple "check" section to detect inability to execute

* Fri Jul  30 2010 David A. Wheeler <dwheeler@dwheeler.com> 1.1-1
- Initial packaging

